#pragma once

#include <nlohmann/json.hpp>
#include <string>

class Request {
public:
    explicit Request(const std::string& input);

    nlohmann::json getValues() const { return values; }

    std::string getString(const std::string& key) const;

    std::vector<std::string> getStringArray(const std::string& key) const;

    int getInt(const std::string& key) const;

    std::vector<int> getIntArray(const std::string& key) const;

    double getDouble(const std::string& key) const;

    float getFloat(const std::string& key) const;

    std::string toString() const;

private:
    nlohmann::json values;
};
